;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          package.lisp
;;;; Purpose:       Package definition for wol
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  April 2001
;;;;
;;;; $Id$
;;;;
;;;; This file and wol are Copyright (c) 2001-2003 by Kevin M. Rosenberg
;;;; *************************************************************************


(in-package #:cl-user)

(defpackage #:wol
  (:use #:kmrcl #:hyperobject #:common-lisp
	#:lml2 #:base64 #:modlisp #:puri)
  (:export

   ;; classes.lisp
   #:project-name
   #:entity-project
   #:websession-from-req
   #:websession-data
   #:websession-variable
   #:websession-key
   #:request-url-plist
   #:request-url-next-plists
   #:request-posted-content
   #:request-raw-uri
   
   ;; projects.lisp
   #:wol-project
   #:header-slot-value
   #:request-query
   #:request-query-value
   #:websession-variable
   #:with-wol-page
   
   ;; sessions.lisp

   ;; uri.lisp
   #:plist-to-url-string
   #:url-string-to-plist
   #:make-ml-url
   #:home-page-url?
   #:base-html-page-name
   #:make-url-object
   #:page
   #:make-html-url
   #:make-wol-url
   )

  (:shadowing-import-from #+allegro :mp #-allegro :acl-compat-mp
			  :with-process-lock :make-process-lock
			  :process-kill :process-run-function
			  )
  )

