;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10; Package: wol -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          wol.asd
;;;; Purpose:       ASDF system definition file for Wol package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  July 2003
;;;;
;;;; $Id$
;;;;
;;;; This file and Wol are Copyright (c) 2003 by Kevin M. Rosenberg
;;;; *************************************************************************

(in-package #:cl-user)

#+(or cmu lispworks sbcl openmcl 
      (and allegro (not common-lisp-controller))) (require :aserve)
#+(and allegro common-lisp-controller) (c-l-c::original-require :aserve)
#+allegro (require :smtp)
#+allegro (require :phtml)
#+allegro (require :pxml)
#+allegro (require :sock)
#+(and allegro unix) (require :ipc)

(defpackage #:wol-system (:use #:cl #:asdf))
(in-package #:wol-system)

(defsystem wol
    :depends-on (:kmrcl :modlisp :lml2 :hyperobject :base64 :puri
			#-allegro :acl-compat)
    :components
    ((:file "package")
     (:file "classes" :depends-on ("package"))
     ;;(:file "c-modlisp" :depends-on ("classes"))
     ;;(:file "c-aserve" :depends-on ("classes"))
     (:file "project" :depends-on ("classes")
	    #+ignore ("c-modlisp" "c-aserve"))
     (:file "sessions" :depends-on ("classes"))
     (:file "uri" :depends-on ("classes"))
     (:file "log" :depends-on ("classes"))
     (:file "color-picker" :depends-on ("package"))
     ))

(defmethod perform ((o test-op) (c (eql (find-system 'wol))))
  (operate 'load-op 'wol-tests)
  (operate 'test-op 'wol-tests :force t))

(defsystem wol-tests
    :depends-on (wol xlunit)
    :components ((:file "tests")))

(defmethod perform ((o test-op) (c (eql (find-system 'wol-tests))))
  (operate 'load-op 'wol-tests)
  (or (funcall (intern (symbol-name '#:do-tests)
		       (find-package '#:wol-tests)))
      (error "test-op failed")))

